import { JSExpression, NodeSchema, ContainerSchema, NpmInfo } from '@alilc/lowcode-types';
export declare function isContainerSchema(x: any): x is ContainerSchema;
export declare function isNpmInfo(x: any): x is NpmInfo;
/**
 * 遍历并处理所有的子节点
 * @param children
 * @param handlers
 * @param options
 * @returns
 */
export declare function handleSubNodes<T>(children: NodeSchema['children'], handlers: {
    string?: (i: string) => T;
    expression?: (i: JSExpression) => T;
    node?: (i: NodeSchema) => T;
}, options?: {
    rerun?: boolean;
    maxDepth?: number;
}): T[];
